<template>
  <div class="app-container">
    <!-- <el-form :model="queryParams" ref="queryForm" size="small" :inline="true" v-show="showSearch" label-width="68px">
      <el-form-item>
        <el-button type="primary" icon="el-icon-search" size="mini" @click="handleQuery">搜索</el-button>
        <el-button icon="el-icon-refresh" size="mini" @click="resetQuery">重置</el-button>
      </el-form-item>
    </el-form> -->

    <el-row :gutter="10" class="mb8">
      <el-col :span="1.5">
        <el-button
          type="primary"
          plain
          icon="el-icon-plus"
          size="mini"
          @click="handleAdd"
          v-hasPermi="['system:posfeedback:add']"
        >{{$t('fenlei.新增')}}</el-button>
      </el-col>
      <el-col :span="1.5">
        <el-button
          type="success"
          plain
          icon="el-icon-edit"
          size="mini"
          :disabled="single"
          @click="handleUpdate"
          v-hasPermi="['system:posfeedback:edit']"
        >{{$t('fenlei.修改')}}</el-button>
      </el-col>
      <el-col :span="1.5">
        <el-button
          type="danger"
          plain
          icon="el-icon-delete"
          size="mini"
          :disabled="multiple"
          @click="handleDelete"
          v-hasPermi="['system:posfeedback:remove']"
        >{{$t('fenlei.删除')}}</el-button>
      </el-col>
      <el-col :span="1.5">
        <el-button
          type="warning"
          plain
          icon="el-icon-download"
          size="mini"
          @click="handleExport"
          v-hasPermi="['system:posfeedback:export']"
        >{{$t('fenlei.导出')}}</el-button>
      </el-col>
      <right-toolbar :showSearch.sync="showSearch" @queryTable="getList"></right-toolbar>
    </el-row>

    <el-table v-loading="loading" :data="posfeedbackList" @selection-change="handleSelectionChange">
      <el-table-column type="selection" width="55" align="center" />
      <el-table-column label="id"  width="55" align="center" prop="id" />
      <el-table-column :label="$t('fenlei.简体中文')" align="center" prop="contentCh" />
      <el-table-column :label="$t('fenlei.繁体中文')" align="center" prop="contentTw" />
      <el-table-column :label="$t('fenlei.英语')" align="center" prop="contentUs" />
      <el-table-column :label="$t('fenlei.越南语')" align="center" prop="contentVi" />
      <el-table-column :label="$t('fenlei.操作')" align="center" class-name="small-padding fixed-width">
        <template slot-scope="scope">
          <el-button
            size="mini"
            type="text"
            icon="el-icon-edit"
            @click="handleUpdate(scope.row)"
            v-hasPermi="['system:posfeedback:edit']"
          >{{$t('fenlei.修改')}}</el-button>
          <el-button
            size="mini"
            type="text"
            icon="el-icon-delete"
            @click="handleDelete(scope.row)"
            v-hasPermi="['system:posfeedback:remove']"
          >{{$t('fenlei.删除')}}</el-button>
        </template>
      </el-table-column>
    </el-table>

    <pagination
      v-show="total>0"
      :total="total"
      :page.sync="queryParams.pageNum"
      :limit.sync="queryParams.pageSize"
      @pagination="getList"
    />

    <!-- 添加或修改PosFeedback对话框 -->
    <el-dialog :title="title" :visible.sync="open" width="500px" append-to-body>
      <el-form ref="form" :model="form" :rules="rules" label-width="160px">
        <el-form-item :label="$t('fenlei.简体中文')" prop="contentCh">
          <el-input v-model="form.contentCh" type="textarea" :placeholder="$t('fenlei.请输入内容')" />
        </el-form-item>
        <el-form-item :label="$t('fenlei.繁体中文')" prop="contentTw">
          <el-input v-model="form.contentTw" type="textarea" :placeholder="$t('fenlei.请输入内容')" />
        </el-form-item>
        <el-form-item :label="$t('fenlei.英语')" prop="contentUs">
          <el-input v-model="form.contentUs" type="textarea" :placeholder="$t('fenlei.请输入内容')" />
        </el-form-item>
        <el-form-item :label="$t('fenlei.越南语')" prop="contentVi">
          <el-input v-model="form.contentVi" type="textarea" :placeholder="$t('fenlei.请输入内容')" />
        </el-form-item>
      </el-form>
      <div slot="footer" class="dialog-footer">
        <el-button type="primary" @click="submitForm">{{$t('fenlei.确定')}}</el-button>
        <el-button @click="cancel">{{$t('fenlei.取消')}}</el-button>
      </div>
    </el-dialog>
  </div>
</template>

<script>
import { listPosfeedback, getPosfeedback, delPosfeedback, addPosfeedback, updatePosfeedback } from "@/api/system/posfeedback";

export default {
  name: "Posfeedback",
  data() {
    return {
      // 遮罩层
      loading: true,
      // 选中数组
      ids: [],
      // 非单个禁用
      single: true,
      // 非多个禁用
      multiple: true,
      // 显示搜索条件
      showSearch: true,
      // 总条数
      total: 0,
      // PosFeedback表格数据
      posfeedbackList: [],
      // 弹出层标题
      title: "",
      // 是否显示弹出层
      open: false,
      // 查询参数
      queryParams: {
        pageNum: 1,
        pageSize: 10,
      },
      // 表单参数
      form: {},
      // 表单校验
      rules: {
      }
    };
  },
  created() {
    this.getList();
  },
  methods: {
    /** 查询PosFeedback列表 */
    getList() {
      this.loading = true;
      listPosfeedback(this.queryParams).then(response => {
        this.posfeedbackList = response.rows;
        this.total = response.total;
        this.loading = false;
      });
    },
    // 取消按钮
    cancel() {
      this.open = false;
      this.reset();
    },
    // 表单重置
    reset() {
      this.form = {
        id: null,
        contentCh: null,
        contentTw: null,
        contentUs: null,
        contentVi: null
      };
      this.resetForm("form");
    },
    /** 搜索按钮操作 */
    handleQuery() {
      this.queryParams.pageNum = 1;
      this.getList();
    },
    /** 重置按钮操作 */
    resetQuery() {
      this.resetForm("queryForm");
      this.handleQuery();
    },
    // 多选框选中数据
    handleSelectionChange(selection) {
      this.ids = selection.map(item => item.id)
      this.single = selection.length!==1
      this.multiple = !selection.length
    },
    /** 新增按钮操作 */
    handleAdd() {
      this.reset();
      this.open = true;
      this.title = this.$t('fenlei.新增');
    },
    /** 修改按钮操作 */
    handleUpdate(row) {
      this.reset();
      const id = row.id || this.ids
      getPosfeedback(id).then(response => {
        this.form = response.data;
        this.open = true;
        this.title = this.$t('fenlei.修改');
      });
    },
    /** 提交按钮 */
    submitForm() {
      this.$refs["form"].validate(valid => {
        if (valid) {
          if (this.form.id != null) {
            updatePosfeedback(this.form).then(response => {
              this.$modal.msgSuccess(this.$t('fenlei.修改成功'));
              this.open = false;
              this.getList();
            });
          } else {
            addPosfeedback(this.form).then(response => {
              this.$modal.msgSuccess(this.$t('fenlei.新增成功'));
              this.open = false;
              this.getList();
            });
          }
        }
      });
    },
    /** 删除按钮操作 */
    handleDelete(row) {
      const ids = row.id || this.ids;
      this.$modal.confirm(this.$t('fenlei.是否确认删除门店分类编号为') + ids + this.$t('fenlei.的数据项')).then(function() {
        return delPosfeedback(ids);
      }).then(() => {
        this.getList();
        this.$modal.msgSuccess(this.$t('fenlei.删除成功'));
      }).catch(() => {});
    },
    /** 导出按钮操作 */
    handleExport() {
      this.download('system/posfeedback/export', {
        ...this.queryParams
      }, `posfeedback_${new Date().getTime()}.xlsx`)
    }
  }
};
</script>
